Method: locations.attributes.getExtended

傳回指定屬性,並附上擴充中繼資料。包括商家提供的資料和消費者看到的資料,兩者可能不同。此外,中繼資料也會說明各項屬性的目前編輯狀態、來源和拒絕詳情。

HTTP 要求

GET https://mybusinessbusinessinformation.googleapis.com/v1alpha/{name=locations/*/attributes}:getExtended

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

必填。這個地點的 Google ID,格式為 locations/{locationId}/attributes。

要求主體

要求主體必須為空白。

回應主體

AttributesService.GetExtendedAttributes 的回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "name": string,
  "extendedAttributes": [
    {
      object (ExtendedAttribute)
    }
  ]
}
欄位
name

string

僅供輸出。這個地點的 Google ID,格式為 locations/{locationId}/attributes。

extendedAttributes[]

object (ExtendedAttribute)

僅供輸出。含有擴充中繼資料的屬性。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/business.manage

詳情請參閱OAuth 2.0 Overview。

ExtendedAttribute

代表屬性及其編輯中繼資料和目前服務狀態。

JSON 表示法
{
  "attributeProvidedByMerchant": {
    object (Attribute)
  },
  "attributeSeenByConsumers": {
    object (Attribute)
  },
  "extendedFieldData": {
    object (ExtendedFieldData)
  }
}
欄位
attributeProvidedByMerchant

object (Attribute)

僅供輸出。由商家管理的基礎屬性資料。

attributeSeenByConsumers

object (Attribute)

僅供輸出。目前在 Google 地圖和 Google 搜尋上,消費者可看到的屬性資料。

extendedFieldData

object (ExtendedFieldData)

僅供輸出。這項特定屬性的詳細編輯狀態和中繼資料。